Subject: Re: [OT?] Unimplemented instructions on a G5?

From: Pantelis Antoniou <[email-masked]>
Date: Mon, 05 Apr 2004 09:05:16 +0300

David Edelsohn wrote:

>>>The offending instruction is the seemingly harmless:
>>>
>>>mcrxr crX
>>>
>>>(Move to condition register from XER).
>>>
>>>Does anyone have any idea if IBM left this instruction
>>>unimplemented. Searching the docs I've found nothing.
>>>
>>>
>
>
>
>>>>>>Segher Boessenkool writes:
>>>>>>
>>>>>>
>Segher> Well, the newest PowerPC architecture docs say that it is
>Segher> an optional insn, i.e., not all cpus might implement it.
>
>Segher> I can't say whether the 970 implements it or not.
>
>	mcrxr is obsolete and not implemented in PPC970.  Executing the
>instruction will result in an illegal instruction trap.
>
>David
>
>
>
Well this much is obvious. Where can I find a list
of these obsolete instructions so that I can
implement them in the illegal instruction handler?

The IBM documentation for the 970 declares these instructions
as the previous architecture papers, i.e. as nothing special.

Regards

Pantelis

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/